Index: protocols/oscar/ssi.c
===================================================================
--- protocols/oscar/ssi.c	(revision 8519f457c31139750b9f7497834ac90a57196d22)
+++ protocols/oscar/ssi.c	(revision 75ad761cc229568e799659d6c6a623c4bc837ba4)
@@ -1044,7 +1162,8 @@
  * information.  These 3 SNACs all have an identical structure.  The only
  * difference is the subtype that is set for the SNAC.
- * 
- */
-int aim_ssi_addmoddel(aim_session_t *sess, aim_conn_t *conn, struct aim_ssi_item **items, unsigned int num, guint16 subtype)
+ *
+ */
+int aim_ssi_addmoddel(aim_session_t *sess, aim_conn_t *conn, struct aim_ssi_item **items, unsigned int num,
+                      guint16 subtype)
 {
 	aim_frame_t *fr;
@@ -1053,14 +1172,15 @@
 	char *list = NULL;
 
-	if (!sess || !conn || !items || !num)
-		return -EINVAL;
+	if (!sess || !conn || !items || !num) {
+		return -EINVAL;
+	}
 
 	snaclen = 10; /* For family, subtype, flags, and SNAC ID */
 	listlen = 0;
-	for (i=0; i<num; i++) {
+	for (i = 0; i < num; i++) {
 		snaclen += 10; /* For length, GID, BID, type, and length */
 		if (items[i]->name) {
 			snaclen += strlen(items[i]->name);
-			
+
 			if (subtype == AIM_CB_SSI_ADD) {
 				list = g_realloc(list, listlen + strlen(items[i]->name) + 1);
@@ -1072,29 +1192,33 @@
 				list = g_realloc(list, listlen + 1);
 				list[listlen] = '\0';
-				listlen ++;
-			}
-		}
-		if (items[i]->data)
-			snaclen += aim_sizetlvchain((aim_tlvlist_t **)&items[i]->data);
-	}
-	
-	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, snaclen)))
+				listlen++;
+			}
+		}
+		if (items[i]->data) {
+			snaclen += aim_sizetlvchain((aim_tlvlist_t **) &items[i]->data);
+		}
+	}
+
+	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, snaclen))) {
 		return -ENOMEM;
+	}
 
 	snacid = aim_cachesnac(sess, AIM_CB_FAM_SSI, subtype, 0x0000, list, list ? listlen : 0);
 	aim_putsnac(&fr->data, AIM_CB_FAM_SSI, subtype, 0x0000, snacid);
-	
+
 	g_free(list);
 
-	for (i=0; i<num; i++) {
+	for (i = 0; i < num; i++) {
 		aimbs_put16(&fr->data, items[i]->name ? strlen(items[i]->name) : 0);
-		if (items[i]->name)
-			aimbs_putraw(&fr->data, (guint8 *)items[i]->name, strlen(items[i]->name));
+		if (items[i]->name) {
+			aimbs_putraw(&fr->data, (guint8 *) items[i]->name, strlen(items[i]->name));
+		}
 		aimbs_put16(&fr->data, items[i]->gid);
 		aimbs_put16(&fr->data, items[i]->bid);
 		aimbs_put16(&fr->data, items[i]->type);
-		aimbs_put16(&fr->data, items[i]->data ? aim_sizetlvchain((aim_tlvlist_t **)&items[i]->data) : 0);
-		if (items[i]->data)
-			aim_writetlvchain(&fr->data, (aim_tlvlist_t **)&items[i]->data);
+		aimbs_put16(&fr->data, items[i]->data ? aim_sizetlvchain((aim_tlvlist_t **) &items[i]->data) : 0);
+		if (items[i]->data) {
+			aim_writetlvchain(&fr->data, (aim_tlvlist_t **) &items[i]->data);
+		}
 	}
 
@@ -1118,15 +1242,16 @@
 	sess->ssi.waiting_for_ack = 0;
 	aim_ssi_dispatch(sess, rx->conn);
-	
+
 	origsnac = aim_remsnac(sess, snac->id);
-	
-	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype)))
+
+	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype))) {
 		ret = userfunc(sess, rx, origsnac);
-	
+	}
+
 	if (origsnac) {
 		g_free(origsnac->data);
 		g_free(origsnac);
 	}
-	
+
 	return ret;
 }
@@ -1136,5 +1261,5 @@
  *
  * Tells the server you're going to start modifying data.
- * 
+ *
  */
 int aim_ssi_modbegin(aim_session_t *sess, aim_conn_t *conn)
@@ -1161,5 +1286,6 @@
  *
  */
-static int parsedataunchanged(aim_session_t *sess, aim_module_t *mod, aim_frame_t *rx, aim_modsnac_t *snac, aim_bstream_t *bs)
+static int parsedataunchanged(aim_session_t *sess, aim_module_t *mod, aim_frame_t *rx, aim_modsnac_t *snac,
+                              aim_bstream_t *bs)
 {
 	int ret = 0;
@@ -1168,6 +1294,7 @@
 	sess->ssi.received_data = 1;
 
-	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype)))
+	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype))) {
 		ret = userfunc(sess, rx);
+	}
 
 	return ret;
@@ -1177,12 +1304,13 @@
 {
 
-	if (snac->subtype == AIM_CB_SSI_RIGHTSINFO)
+	if (snac->subtype == AIM_CB_SSI_RIGHTSINFO) {
 		return parserights(sess, mod, rx, snac, bs);
-	else if (snac->subtype == AIM_CB_SSI_LIST)
+	} else if (snac->subtype == AIM_CB_SSI_LIST) {
 		return parsedata(sess, mod, rx, snac, bs);
-	else if (snac->subtype == AIM_CB_SSI_SRVACK)
+	} else if (snac->subtype == AIM_CB_SSI_SRVACK) {
 		return parseack(sess, mod, rx, snac, bs);
-	else if (snac->subtype == AIM_CB_SSI_NOLIST)
+	} else if (snac->subtype == AIM_CB_SSI_NOLIST) {
 		return parsedataunchanged(sess, mod, rx, snac, bs);
+	}
 
 	return 0;
Index: protocols/oscar/ssi.h
===================================================================
--- protocols/oscar/ssi.h	(revision 8519f457c31139750b9f7497834ac90a57196d22)
+++ protocols/oscar/ssi.h	(revision 75ad761cc229568e799659d6c6a623c4bc837ba4)
@@ -47,5 +47,6 @@
 int aim_ssi_reqalldata(aim_session_t *sess, aim_conn_t *conn);
 int aim_ssi_enable(aim_session_t *sess, aim_conn_t *conn);
-int aim_ssi_addmoddel(aim_session_t *sess, aim_conn_t *conn, struct aim_ssi_item **items, unsigned int num, guint16 subtype);
+int aim_ssi_addmoddel(aim_session_t *sess, aim_conn_t *conn, struct aim_ssi_item **items, unsigned int num,
+                      guint16 subtype);
 int aim_ssi_modbegin(aim_session_t *sess, aim_conn_t *conn);
 int aim_ssi_modend(aim_session_t *sess, aim_conn_t *conn);
@@ -58,5 +59,6 @@
 
 /* Send packets */
-int aim_ssi_addbuddies(aim_session_t *sess, aim_conn_t *conn, char *gn, char **sn, unsigned int num, unsigned int flags);
+int aim_ssi_addbuddies(aim_session_t *sess, aim_conn_t *conn, char *gn, char **sn, unsigned int num,
+                       unsigned int flags);
 int aim_ssi_addmastergroup(aim_session_t *sess, aim_conn_t *conn);
 int aim_ssi_addgroups(aim_session_t *sess, aim_conn_t *conn, char **gn, unsigned int num);
Index: protocols/oscar/stats.c
===================================================================
--- protocols/oscar/stats.c	(revision 8519f457c31139750b9f7497834ac90a57196d22)
+++ protocols/oscar/stats.c	(revision 75ad761cc229568e799659d6c6a623c4bc837ba4)
@@ -2,5 +2,6 @@
 #include <aim.h>
 
-static int reportinterval(aim_session_t *sess, aim_module_t *mod, aim_frame_t *rx, aim_modsnac_t *snac, aim_bstream_t *bs)
+static int reportinterval(aim_session_t *sess, aim_module_t *mod, aim_frame_t *rx, aim_modsnac_t *snac,
+                          aim_bstream_t *bs)
 {
 	guint16 interval;
@@ -9,6 +10,7 @@
 	interval = aimbs_get16(bs);
 
-	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype)))
+	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype))) {
 		return userfunc(sess, rx, interval);
+	}
 
 	return 0;
@@ -18,6 +20,7 @@
 {
 
-	if (snac->subtype == 0x0002)
+	if (snac->subtype == 0x0002) {
 		return reportinterval(sess, mod, rx, snac, bs);
+	}
 
 	return 0;
Index: protocols/oscar/tlv.c
===================================================================
--- protocols/oscar/tlv.c	(revision 8519f457c31139750b9f7497834ac90a57196d22)
+++ protocols/oscar/tlv.c	(revision 75ad761cc229568e799659d6c6a623c4bc837ba4)
@@ -3,7 +3,8 @@
 static void freetlv(aim_tlv_t **oldtlv)
 {
-	if (!oldtlv || !*oldtlv)
+	if (!oldtlv || !*oldtlv) {
 		return;
-	
+	}
+
 	g_free((*oldtlv)->value);
 	g_free(*oldtlv);
@@ -22,5 +23,5 @@
  *
  * XXX There should be a flag setable here to have the tlvlist contain
- * bstream references, so that at least the ->value portion of each 
+ * bstream references, so that at least the ->value portion of each
  * element doesn't need to be malloc/memcpy'd.  This could prove to be
  * just as effecient as the in-place TLV parsing used in a couple places
@@ -42,6 +43,7 @@
 		cur->tlv = g_new0(aim_tlv_t, 1);
 		cur->tlv->type = type;
-		if ((cur->tlv->length = length))
-			cur->tlv->value = aimbs_getraw(bs, length);	
+		if ((cur->tlv->length = length)) {
+			cur->tlv->value = aimbs_getraw(bs, length);
+		}
 
 		cur->next = list;
@@ -65,10 +67,11 @@
 	aim_tlvlist_t *cur;
 
-	if (!list || !*list)
+	if (!list || !*list) {
 		return;
+	}
 
 	for (cur = *list; cur; ) {
 		aim_tlvlist_t *tmp;
-		
+
 		freetlv(&cur->tlv);
 
@@ -95,9 +98,11 @@
 	int count;
 
-	if (!list || !*list)
-		return 0;
-
-	for (cur = *list, count = 0; cur; cur = cur->next)
+	if (!list || !*list) {
+		return 0;
+	}
+
+	for (cur = *list, count = 0; cur; cur = cur->next) {
 		count++;
+	}
 
 	return count;
@@ -108,5 +113,5 @@
  * @list: Chain to be sized
  *
- * Returns the number of bytes that would be needed to 
+ * Returns the number of bytes that would be needed to
  * write the passed TLV chain to a data buffer.
  *
@@ -117,9 +122,11 @@
 	int size;
 
-	if (!list || !*list)
-		return 0;
-
-	for (cur = *list, size = 0; cur; cur = cur->next)
+	if (!list || !*list) {
+		return 0;
+	}
+
+	for (cur = *list, size = 0; cur; cur = cur->next) {
 		size += (4 + cur->tlv->length);
+	}
 
 	return size;
@@ -141,9 +148,11 @@
 	aim_tlvlist_t *newtlv, *cur;
 
-	if (!list)
-		return 0;
-
-	if (!(newtlv = g_new0(aim_tlvlist_t, 1)))
-		return 0;
+	if (!list) {
+		return 0;
+	}
+
+	if (!(newtlv = g_new0(aim_tlvlist_t, 1))) {
+		return 0;
+	}
 
 	if (!(newtlv->tlv = g_new0(aim_tlv_t, 1))) {
@@ -153,13 +162,14 @@
 	newtlv->tlv->type = t;
 	if ((newtlv->tlv->length = l)) {
-		newtlv->tlv->value = (guint8 *)g_malloc(newtlv->tlv->length);
+		newtlv->tlv->value = (guint8 *) g_malloc(newtlv->tlv->length);
 		memcpy(newtlv->tlv->value, v, newtlv->tlv->length);
 	}
 
-	if (!*list)
+	if (!*list) {
 		*list = newtlv;
-	else {
-		for(cur = *list; cur->next; cur = cur->next)
+	} else {
+		for (cur = *list; cur->next; cur = cur->next) {
 			;
+		}
 		cur->next = newtlv;
 	}
@@ -234,10 +244,11 @@
 int aim_addtlvtochain_caps(aim_tlvlist_t **list, const guint16 t, const guint32 caps)
 {
-	guint8 buf[16*16]; /* XXX icky fixed length buffer */
+	guint8 buf[16 * 16]; /* XXX icky fixed length buffer */
 	aim_bstream_t bs;
 
-	if (!caps)
+	if (!caps) {
 		return 0; /* nothing there anyway */
 
+	}
 	aim_bstream_init(&bs, buf, sizeof(buf));
 
@@ -266,5 +277,5 @@
  *
  * XXX should probably support sublists for real.
- * 
+ *
  * This is so neat.
  *
@@ -278,9 +289,11 @@
 	buflen = aim_sizetlvchain(tl);
 
-	if (buflen <= 0)
-		return 0;
-
-	if (!(buf = g_malloc(buflen)))
-		return 0;
+	if (buflen <= 0) {
+		return 0;
+	}
+
+	if (!(buf = g_malloc(buflen))) {
+		return 0;
+	}
 
 	aim_bstream_init(&bs, buf, buflen);
@@ -295,5 +308,6 @@
 }
 
-int aim_addtlvtochain_chatroom(aim_tlvlist_t **list, guint16 type, guint16 exchange, const char *roomname, guint16 instance)
+int aim_addtlvtochain_chatroom(aim_tlvlist_t **list, guint16 type, guint16 exchange, const char *roomname,
+                               guint16 instance)
 {
 	guint8 *buf;
@@ -302,7 +316,8 @@
 
 	buflen = 2 + 1 + strlen(roomname) + 2;
-	
-	if (!(buf = g_malloc(buflen)))
-		return 0;
+
+	if (!(buf = g_malloc(buflen))) {
+		return 0;
+	}
 
 	aim_bstream_init(&bs, buf, buflen);
@@ -310,5 +325,5 @@
 	aimbs_put16(&bs, exchange);
 	aimbs_put8(&bs, strlen(roomname));
-	aimbs_putraw(&bs, (guint8 *)roomname, strlen(roomname));
+	aimbs_putraw(&bs, (guint8 *) roomname, strlen(roomname));
 	aimbs_put16(&bs, instance);
 
@@ -327,9 +342,9 @@
  *
  * Copies a TLV chain into a raw data buffer, writing only the number
- * of bytes specified. This operation does not free the chain; 
+ * of bytes specified. This operation does not free the chain;
  * aim_freetlvchain() must still be called to free up the memory used
  * by the chain structures.
  *
- * XXX clean this up, make better use of bstreams 
+ * XXX clean this up, make better use of bstreams
  */
 int aim_writetlvchain(aim_bstream_t *bs, aim_tlvlist_t **list)
@@ -344,13 +359,15 @@
 	}
 
-	if (goodbuflen > aim_bstream_empty(bs))
+	if (goodbuflen > aim_bstream_empty(bs)) {
 		return 0; /* not enough buffer */
 
+	}
 	/* do the real write-out */
 	for (cur = *list; cur; cur = cur->next) {
 		aimbs_put16(bs, cur->tlv->type);
 		aimbs_put16(bs, cur->tlv->length);
-		if (cur->tlv->length)
+		if (cur->tlv->length) {
 			aimbs_putraw(bs, cur->tlv->value, cur->tlv->length);
+		}
 	}
 
@@ -365,5 +382,5 @@
  * @nth: Index of TLV of type to get
  *
- * Returns a pointer to an aim_tlv_t of the specified type; 
+ * Returns a pointer to an aim_tlv_t of the specified type;
  * %NULL on error.  The @nth parameter is specified starting at %1.
  * In most cases, there will be no more than one TLV of any type
@@ -378,8 +395,10 @@
 	for (cur = list, i = 0; cur; cur = cur->next) {
 		if (cur && cur->tlv) {
-			if (cur->tlv->type == t)
+			if (cur->tlv->type == t) {
 				i++;
-			if (i >= n)
+			}
+			if (i >= n) {
 				return cur->tlv;
+			}
 		}
 	}
@@ -395,5 +414,5 @@
  *
  * Same as aim_gettlv(), except that the return value is a %NULL-
- * terminated string instead of an aim_tlv_t.  This is a 
+ * terminated string instead of an aim_tlv_t.  This is a
  * dynamic buffer and must be freed by the caller.
  *
@@ -404,6 +423,7 @@
 	char *newstr;
 
-	if (!(tlv = aim_gettlv(list, t, n)))
+	if (!(tlv = aim_gettlv(list, t, n))) {
 		return NULL;
+	}
 
 	newstr = (char *) g_malloc(tlv->length + 1);
@@ -420,6 +440,6 @@
  * @nth: Index of TLV to return
  *
- * Same as aim_gettlv(), except that the return value is a 
- * 8bit integer instead of an aim_tlv_t. 
+ * Same as aim_gettlv(), except that the return value is a
+ * 8bit integer instead of an aim_tlv_t.
  *
  */
@@ -428,6 +448,7 @@
 	aim_tlv_t *tlv;
 
-	if (!(tlv = aim_gettlv(list, t, n)))
+	if (!(tlv = aim_gettlv(list, t, n))) {
 		return 0; /* erm */
+	}
 	return aimutil_get8(tlv->value);
 }
@@ -439,6 +460,6 @@
  * @nth: Index of TLV to return
  *
- * Same as aim_gettlv(), except that the return value is a 
- * 16bit integer instead of an aim_tlv_t. 
+ * Same as aim_gettlv(), except that the return value is a
+ * 16bit integer instead of an aim_tlv_t.
  *
  */
@@ -447,6 +468,7 @@
 	aim_tlv_t *tlv;
 
-	if (!(tlv = aim_gettlv(list, t, n)))
+	if (!(tlv = aim_gettlv(list, t, n))) {
 		return 0; /* erm */
+	}
 	return aimutil_get16(tlv->value);
 }
@@ -458,6 +480,6 @@
  * @nth: Index of TLV to return
  *
- * Same as aim_gettlv(), except that the return value is a 
- * 32bit integer instead of an aim_tlv_t. 
+ * Same as aim_gettlv(), except that the return value is a
+ * 32bit integer instead of an aim_tlv_t.
  *
  */
@@ -466,6 +488,7 @@
 	aim_tlv_t *tlv;
 
-	if (!(tlv = aim_gettlv(list, t, n)))
+	if (!(tlv = aim_gettlv(list, t, n))) {
 		return 0; /* erm */
+	}
 	return aimutil_get32(tlv->value);
 }
@@ -544,7 +567,8 @@
 
 	i = aimutil_put16(buf, t);
-	i += aimutil_put16(buf+i, l);
-	if (l)
-		memcpy(buf+i, v, l);
+	i += aimutil_put16(buf + i, l);
+	if (l) {
+		memcpy(buf + i, v, l);
+	}
 	i += l;
 
Index: protocols/oscar/txqueue.c
===================================================================
--- protocols/oscar/txqueue.c	(revision 8519f457c31139750b9f7497834ac90a57196d22)
+++ protocols/oscar/txqueue.c	(revision 75ad761cc229568e799659d6c6a623c4bc837ba4)
@@ -32,8 +32,9 @@
 	}
 
-	if (!(fr = (aim_frame_t *)g_new0(aim_frame_t,1)))
+	if (!(fr = (aim_frame_t *) g_new0(aim_frame_t, 1))) {
 		return NULL;
-
-	fr->conn = conn; 
+	}
+
+	fr->conn = conn;
 
 	fr->hdrtype = framing;
@@ -43,11 +44,12 @@
 		fr->hdr.flap.type = chan;
 
-	} else 
+	} else {
 		imcb_error(sess->aux_data, "unknown framing");
+	}
 
 	if (datalen > 0) {
 		guint8 *data;
 
-		if (!(data = (unsigned char *)g_malloc(datalen))) {
+		if (!(data = (unsigned char *) g_malloc(datalen))) {
 			aim_frame_destroy(fr);
 			return NULL;
@@ -90,11 +92,12 @@
 
 	/* see overhead note in aim_rxqueue counterpart */
-	if (!sess->queue_outgoing)
+	if (!sess->queue_outgoing) {
 		sess->queue_outgoing = fr;
-	else {
+	} else {
 		aim_frame_t *cur;
 
-		for (cur = sess->queue_outgoing; cur->next; cur = cur->next)
+		for (cur = sess->queue_outgoing; cur->next; cur = cur->next) {
 			;
+		}
 		cur->next = fr;
 	}
@@ -111,6 +114,6 @@
  * Basically the same as its __queuebased couterpart, however
  * instead of doing a list append, it just calls aim_tx_sendframe()
- * right here. 
- * 
+ * right here.
+ *
  */
 static int aim_tx_enqueue__immediate(aim_session_t *sess, aim_frame_t *fr)
@@ -123,6 +126,7 @@
 	}
 
-	if (fr->hdrtype == AIM_FRAMETYPE_FLAP)
+	if (fr->hdrtype == AIM_FRAMETYPE_FLAP) {
 		fr->hdr.flap.seqnum = aim_get_next_txseqnum(fr->conn);
+	}
 
 	fr->handled = 0; /* not sent yet */
@@ -137,16 +141,18 @@
 int aim_tx_setenqueue(aim_session_t *sess, int what, int (*func)(aim_session_t *, aim_frame_t *))
 {
-	
-	if (what == AIM_TX_QUEUED)
+
+	if (what == AIM_TX_QUEUED) {
 		sess->tx_enqueue = &aim_tx_enqueue__queuebased;
-	else if (what == AIM_TX_IMMEDIATE) 
+	} else if (what == AIM_TX_IMMEDIATE) {
 		sess->tx_enqueue = &aim_tx_enqueue__immediate;
-	else if (what == AIM_TX_USER) {
-		if (!func)
+	} else if (what == AIM_TX_USER) {
+		if (!func) {
 			return -EINVAL;
+		}
 		sess->tx_enqueue = func;
-	} else
+	} else {
 		return -EINVAL; /* unknown action */
 
+	}
 	return 0;
 }
@@ -154,5 +160,5 @@
 int aim_tx_enqueue(aim_session_t *sess, aim_frame_t *fr)
 {
-	
+
 	/*
 	 * If we want to send a connection thats inprogress, we have to force
@@ -160,6 +166,6 @@
 	 * want.
 	 */
-	if (fr && fr->conn && 
-			(fr->conn->status & AIM_CONN_STATUS_INPROGRESS)) {
+	if (fr && fr->conn &&
+	    (fr->conn->status & AIM_CONN_STATUS_INPROGRESS)) {
 		return aim_tx_enqueue__queuebased(sess, fr);
 	}
@@ -168,5 +174,5 @@
 }
 
-/* 
+/*
  *  aim_get_next_txseqnum()
  *
@@ -180,5 +186,5 @@
 {
 	flap_seqnum_t ret;
-	
+
 	ret = ++conn->seqnum;
 
@@ -193,9 +199,10 @@
 		int ret;
 
-		ret = send(fd, ((unsigned char *)buf)+cur, left, 0);
-		if (ret == -1)
+		ret = send(fd, ((unsigned char *) buf) + cur, left, 0);
+		if (ret == -1) {
 			return -1;
-		else if (ret == 0)
+		} else if (ret == 0) {
 			return cur;
+		}
 
 		cur += ret;
@@ -209,20 +216,23 @@
 {
 	int wrote = 0;
-	if (!bs || !conn || (count < 0))
+
+	if (!bs || !conn || (count < 0)) {
 		return -EINVAL;
-
-	if (count > aim_bstream_empty(bs))
+	}
+
+	if (count > aim_bstream_empty(bs)) {
 		count = aim_bstream_empty(bs); /* truncate to remaining space */
 
+	}
 	if (count) {
 		if (count - wrote) {
 			wrote = wrote + aim_send(conn->fd, bs->data + bs->offset + wrote, count - wrote);
 		}
-		
-	}
-	
+
+	}
+
 	bs->offset += wrote;
 
-	return wrote;	
+	return wrote;
 }
 
@@ -235,6 +245,7 @@
 	payloadlen = aim_bstream_curpos(&fr->data);
 
-	if (!(obs_raw = g_malloc(6 + payloadlen)))
+	if (!(obs_raw = g_malloc(6 + payloadlen))) {
 		return -ENOMEM;
+	}
 
 	aim_bstream_init(&obs, obs_raw, 6 + payloadlen);
@@ -252,7 +263,8 @@
 	obslen = aim_bstream_curpos(&obs);
 	aim_bstream_rewind(&obs);
-	if (aim_bstream_send(&obs, fr->conn, obslen) != obslen)
+	if (aim_bstream_send(&obs, fr->conn, obslen) != obslen) {
 		err = -errno;
-	
+	}
+
 	g_free(obs_raw); /* XXX aim_bstream_free */
 
@@ -265,6 +277,7 @@
 int aim_tx_sendframe(aim_session_t *sess, aim_frame_t *fr)
 {
-	if (fr->hdrtype == AIM_FRAMETYPE_FLAP)
+	if (fr->hdrtype == AIM_FRAMETYPE_FLAP) {
 		return sendframe_flap(sess, fr);
+	}
 	return -1;
 }
@@ -276,9 +289,11 @@
 	for (cur = sess->queue_outgoing; cur; cur = cur->next) {
 
-		if (cur->handled)
-	       		continue; /* already been sent */
-
-		if (cur->conn && (cur->conn->status & AIM_CONN_STATUS_INPROGRESS))
+		if (cur->handled) {
+			continue; /* already been sent */
+
+		}
+		if (cur->conn && (cur->conn->status & AIM_CONN_STATUS_INPROGRESS)) {
 			continue;
+		}
 
 		/*
@@ -287,6 +302,6 @@
 		 */
 		if ((cur->conn->lastactivity + cur->conn->forcedlatency) >= time(NULL)) {
-			/* 
-			 * XXX should be a break! we dont want to block the 
+			/*
+			 * XXX should be a break! we dont want to block the
 			 * upper layers
 			 *
@@ -309,8 +324,8 @@
 /*
  *  aim_tx_purgequeue()
- *  
- *  This is responsable for removing sent commands from the transmit 
+ *
+ *  This is responsable for removing sent commands from the transmit
  *  queue. This is not a required operation, but it of course helps
- *  reduce memory footprint at run time!  
+ *  reduce memory footprint at run time!
  *
  */
@@ -326,6 +341,7 @@
 			aim_frame_destroy(cur);
 
-		} else
+		} else {
 			prev = &cur->next;
+		}
 	}
 
@@ -347,6 +363,7 @@
 
 	for (cur = sess->queue_outgoing; cur; cur = cur->next) {
-		if (cur->conn == conn)
+		if (cur->conn == conn) {
 			cur->handled = 1;
+		}
 	}
 
